Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.deployment
Interface WSRPDeployerMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean, org.jboss.deployment.SubDeployerExtMBean, org.jboss.deployment.SubDeployerMBean

All Known Implementing Classes:
  WSRPDeployer

    public interface WSRPDeployerMBean

extends org.jboss.deployment.SubDeployerExtMBean

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`ConsumerRegistry` | `getConsumerRegistry()`
`java.lang.String` | `getDefaultWSRPLocation()`
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`void` | `setConsumerRegistry(ConsumerRegistry consumerRegistry)`
`void` | `setDefaultWSRPLocation(java.lang.String defaultWSRPLocation)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver entityResolver)`

Methods inherited from interface org.jboss.deployment.SubDeployerExtMBean
`getEnhancedSuffixes, setEnhancedSuffixes`

Methods inherited from interface org.jboss.deployment.SubDeployerMBean
`accepts, create, destroy, getRelativeOrder, getServiceName, getSuffixes, init, start, stop`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getDefaultWSRPLocation

    java.lang.String getDefaultWSRPLocation()

### setDefaultWSRPLocation

    void setDefaultWSRPLocation(java.lang.String defaultWSRPLocation)

### getConsumerRegistry

    ConsumerRegistry getConsumerRegistry()

### setConsumerRegistry

    void setConsumerRegistry(ConsumerRegistry consumerRegistry)

### getEntityResolver

    org.xml.sax.EntityResolver getEntityResolver()

### setEntityResolver

    void setEntityResolver(org.xml.sax.EntityResolver entityResolver)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD